package org.wfc.omada.api.hotspot.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * VoucherUnitPriceDistributionOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:35:35.496+08:00[Asia/Shanghai]")

public class VoucherUnitPriceDistributionOpenApiVo   {
  @JsonProperty("unitPrice")
  private String unitPrice;

  @JsonProperty("totalAmount")
  private String totalAmount;

  @JsonProperty("usedCount")
  private Integer usedCount;

  @JsonProperty("currency")
  private String currency;

  public VoucherUnitPriceDistributionOpenApiVo unitPrice(String unitPrice) {
    this.unitPrice = unitPrice;
    return this;
  }

  /**
   * Price of single voucher. It should be within the range of 1–999999999
   * @return unitPrice
  */
  @ApiModelProperty(value = "Price of single voucher. It should be within the range of 1–999999999")


  public String getUnitPrice() {
    return unitPrice;
  }

  public void setUnitPrice(String unitPrice) {
    this.unitPrice = unitPrice;
  }

  public VoucherUnitPriceDistributionOpenApiVo totalAmount(String totalAmount) {
    this.totalAmount = totalAmount;
    return this;
  }

  /**
   * Total amount of vouchers
   * @return totalAmount
  */
  @ApiModelProperty(value = "Total amount of vouchers")


  public String getTotalAmount() {
    return totalAmount;
  }

  public void setTotalAmount(String totalAmount) {
    this.totalAmount = totalAmount;
  }

  public VoucherUnitPriceDistributionOpenApiVo usedCount(Integer usedCount) {
    this.usedCount = usedCount;
    return this;
  }

  /**
   * Used count of vouchers
   * @return usedCount
  */
  @ApiModelProperty(value = "Used count of vouchers")


  public Integer getUsedCount() {
    return usedCount;
  }

  public void setUsedCount(Integer usedCount) {
    this.usedCount = usedCount;
  }

  public VoucherUnitPriceDistributionOpenApiVo currency(String currency) {
    this.currency = currency;
    return this;
  }

  /**
   * Currency Short Code of voucher. For the values of Currency Short Code, refer to section 5.4.2 of the Open API Access Guide.
   * @return currency
  */
  @ApiModelProperty(value = "Currency Short Code of voucher. For the values of Currency Short Code, refer to section 5.4.2 of the Open API Access Guide.")


  public String getCurrency() {
    return currency;
  }

  public void setCurrency(String currency) {
    this.currency = currency;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    VoucherUnitPriceDistributionOpenApiVo voucherUnitPriceDistributionOpenApiVo = (VoucherUnitPriceDistributionOpenApiVo) o;
    return Objects.equals(this.unitPrice, voucherUnitPriceDistributionOpenApiVo.unitPrice) &&
        Objects.equals(this.totalAmount, voucherUnitPriceDistributionOpenApiVo.totalAmount) &&
        Objects.equals(this.usedCount, voucherUnitPriceDistributionOpenApiVo.usedCount) &&
        Objects.equals(this.currency, voucherUnitPriceDistributionOpenApiVo.currency);
  }

  @Override
  public int hashCode() {
    return Objects.hash(unitPrice, totalAmount, usedCount, currency);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class VoucherUnitPriceDistributionOpenApiVo {\n");
    
    sb.append("    unitPrice: ").append(toIndentedString(unitPrice)).append("\n");
    sb.append("    totalAmount: ").append(toIndentedString(totalAmount)).append("\n");
    sb.append("    usedCount: ").append(toIndentedString(usedCount)).append("\n");
    sb.append("    currency: ").append(toIndentedString(currency)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

